<?php

namespace App\PartnerBalance;

abstract class ClientAbstract extends GeneralAbstract
{


	public function updateBalance_issueInvoice($currency, $value)
	{
		$this->updateBalance($currency, $value);
	}


	public function updateBalance_cancelInvoice($currency, $value)
	{
		$this->updateBalance($currency, -$value);
	}

	public function updateBalance_addCashingDoc($currency, $value)
	{
		$this->updateBalance($currency, -$value);
	}

	public function updateBalance_cancelCashingDoc($currency, $value)
	{
		$this->updateBalance($currency, $value);
	}

	public function updateBalance_updateCashingDoc($currency, $initialValue, $finalValue)
	{
		$this->updateBalance($currency, -($finalValue-$initialValue));
	}

}

